# $Revision: 1.20 $, $Date: 2006/11/26 02:19:23 $
Summary:	PostgreSQL module for Python
Summary(pl):	Modu PostgreSQL dla Pythona
Name:		python-PyGreSQL
Version:	3.8.1
Release:	1
License:	BSD-like
Group:		Libraries/Python
Source0:	ftp://ftp.pygresql.org/pub/distrib/PyGreSQL-%{version}.tgz
# Source0-md5:	5575979dac93c9c5795d7693a8f91c86
URL:		http://www.pygresql.org/
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
BuildRequires:	python-devel
BuildRequires:	python-devel-src
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
Obsoletes:	python-postgresql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyGreSQL is a Python module that interfaces to a PostgreSQL database.
It embeds the PostgreSQL query library to allow easy use of the
powerful PostgreSQL features from a Python script.

%description -l pl
PyGreSQL to modu Pythona bdcy interfejsem do bazy danych
PostgreSQL. Osadza bibliotek zapyta PostgreSQL, aby umoliwi atwe
korzystanie z potnych moliwoci PostgreSQL-a w skryptach Pythona.

%prep
%setup -q -n PyGreSQL-%{version}

%build
./setup.py build_ext \
	-I/usr/include/postgresql/server

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install tutorial/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

find $RPM_BUILD_ROOT%{py_sitedir} -type f -name "*.py" -exec rm -rf {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%{py_sitedir}/*.py[co]
%attr(755,root,root) %{py_sitedir}/_pg.so
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyGreSQL.spec,v $
Revision 1.20  2006/11/26 02:19:23  psz
- up to 3.8.1

Revision 1.19  2005/10/02 18:04:29  twittner
- added missing md5

Revision 1.18  2005/10/02 17:59:59  twittner
- up to 3.7

Revision 1.17  2005/06/09 16:39:29  saq
- up to 3.6.2

Revision 1.16  2004/12/24 21:50:41  arekm
- rel2

Revision 1.15  2004/08/30 16:56:30  zboczuch
- version 3.5
- cleanups

Revision 1.14  2004/02/07 11:26:23  jajcus
- Version: 3.4 (final)

Revision 1.13  2003/11/14 19:27:15  qboosh
- silently disappeared from postgresql 7.4

